package com.gprinter.udp.wifi.chek;

import com.gprinter.udp.CommandUDP;
import com.gprinter.udp.Response;
import com.gprinter.utils.LogUtils;

/* loaded from: com_gprinter_udp_wifi_chek.jar:com/gprinter/udp/wifi/chek/StaPwdCommand.class */
public class StaPwdCommand extends CommandUDP {
    String TAG = StaPwdCommand.class.getSimpleName();

    public byte[] getCommand() {
        return "AT+WSKEY\r".getBytes();
    }

    public Response resolveResponseData(long uuid, byte[] bytes) {
        if (bytes != null) {
            try {
                String response = new String(bytes);
                if (response.endsWith("\r\n")) {
                    response = response.split("\r\n")[0];
                }
                StaPwdResp pwdResp = new StaPwdResp();
                if (response.split("=")[1].split(",")[0].equals("OPEN")) {
                    pwdResp.setOpen(true);
                } else {
                    pwdResp.setPwd(response.split("=")[1].split(",")[2]);
                }
                return pwdResp;
            } catch (Exception e) {
                e.printStackTrace();
                LogUtils.e(this.TAG, "resolve error" + e.getMessage());
                return null;
            }
        }
        return null;
    }
}
